Package org.gradle.api.file

# Interface RegularFile

All Superinterfaces:
  `FileSystemLocation`

@Incubating public interface RegularFile extends FileSystemLocation
Represents a regular file at a fixed location on the file system. A regular file is a file that is not a directory and is not some special kind of file such as a device.

Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created from a `Directory` instance using the `Directory.file(String)` method or via various methods on `ProjectLayout` such as `ProjectLayout.getProjectDirectory()`.

Since:
  4.1

## Method Summary

Modifier and Type
Method
Description
`File`
`getAsFile()`
Returns the location of this file, as an absolute `File`.

## Method Details

### getAsFile

File getAsFile()
Returns the location of this file, as an absolute `File`.

Specified by:
  `getAsFile` in interface `FileSystemLocation`
Returns:
  the File